| Home | Libraries | People | FAQ | More

## Struct template splaydown_rollback

boost::intrusive::splaydown_rollback

## Synopsis

    // In header: <boost/intrusive/splaytree_algorithms.hpp>

    template<typename NodeTraits>
    struct splaydown_rollback {
      // types
      typedef NodeTraits::node_ptr node_ptr;

      // construct/copy/destruct
      splaydown_rollback(const node_ptr *, node_ptr, node_ptr, node_ptr);
      ~splaydown_rollback();

      // public member functions
      void release();
      const node_ptr * pcur_subtree_;
      node_ptr header_;
      node_ptr leftmost_;
      node_ptr rightmost_;
    };

## Description

### `splaydown_rollback` public construct/copy/destruct

1.     splaydown_rollback(const node_ptr * pcur_subtree, node_ptr header,
                          node_ptr leftmost, node_ptr rightmost);

2.     ~splaydown_rollback();

### `splaydown_rollback` public member functions

1.     void release();